
@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400;500&family=Roboto:wght@400;500&display=swap');
    /*
    font-family: 'Montserrat', sans-serif;
    font-family: 'Roboto', sans-serif;
    */

    .body {
        background-color: white;
    }
    .grid {
        display: grid;
        grid-template-columns: 20px auto 20px;
        grid-template-rows: auto auto auto;
        grid-template-areas: 
        "header header header"
        ". content ."
        ". footer .";
    }

    /*HEADER*/
    .header {
        width: 100%;
        height: 110px;
        top: 0;
        left: 0;
        right: 0;
        position: fixed;
        z-index: 10;
        display: grid;
        grid-area: header;
        grid-template-columns: auto;
        grid-template-rows: auto;
        grid-template-areas: 
        "logo"
        "navi";
        font-family: 'Montserrat', 'sans-serif';
        background-color: white;
        box-shadow: 2px 2px 20px rgb(165, 165, 165);
    }
    
    .brand-logo {
        display: block;
        width: 45px;
        margin: 16px auto 0 auto;
        grid-area: logo;
    }

    /*NAVIGATION*/
    .header nav {
        grid-area: navi;
        display: block;
        justify-self: center;
        padding: 15px 0;
    }
    .header nav a {
        padding: 0 10px;
        font-size: 15px;
    }

    /*TEXT*/
    h3 {
        font-family: 'Roboto', sans-serif;
        font-size: 16px;
        font-weight: 400;
        line-height: 30px;
        padding-top: 10px;
        margin-bottom: 40px;
    }
    .nama-proyek {
        font-family: 'Roboto', sans-serif;
        font-size: 14px;
        font-weight: 400;
        line-height: 21px;
        padding-top: 10px;
        text-transform: uppercase
    }
    .des-proyek {
        font-family: 'Montserrat', sans-serif;
        font-size: 12px;
        line-height: 20px;
    }
    .copy-1 h3 {
        font-family: 'Roboto', sans-serif;
        font-size: 18px;
        font-weight: 400;
        line-height: 20px;
        padding: 10px 0;
        text-transform: uppercase;
    }
    .copy-1 p {
        font-family: 'Montserrat', sans-serif;
        font-size: 14px;
        line-height: 16px;
        padding: 10px 0;
        margin-top: -45px;
    }
    a {
        text-decoration: none;
        color: black;
        cursor: pointer;
    }

    /* FOOTER */
    .footer {
        grid-area: footer;
        display: grid;
        grid-template-columns: auto;
        grid-template-rows: auto auto auto;
        grid-template-areas: 
        "bar";
        border-top: 1px solid #111;
        margin: 60px 0;
        justify-content: center;
    }
    .footer a {
        text-decoration: none;
        color: #111;
        font-family: 'Roboto', sans-serif;
        font-size: 15px;
    }
    .bar {
        grid-area: bar;
        display: grid;
        grid-template-columns: auto;
        grid-template-rows: auto auto auto;
        grid-template-areas: 
        "menus"
        "kontak"
        "alamat";
    }
    .bar p{
        font-family: 'Roboto', sans-serif;
        font-size: 15px;
        line-height: 20px;
    }
    .menus {
        grid-area: menus;
        padding: 40px 0;
        line-height: 30px;
    }
    .kontak {
        grid-area: kontak;
        padding: 20px 0;
        line-height: 30px;
    }
    .alamat {
        grid-area: alamat;
        padding: 20px 0;
        line-height: 30px;
    }
    .kontak img {
        width: 20px;
    }
    .alamat img {
        width: 20px;
    }

    /*CONTENT*/
    .content {
        grid-area: content;
        display: grid;
        grid-template-columns: auto;
        grid-template-rows: auto auto;
        grid-gap: 50px;
    }
    .copy-1 {
        margin-top: 150px;
        min-width: 250px;
        max-width: 1000px;
        justify-content: center;
        text-align: center;
    }
    .slider-1 {
        width: 100%;
        min-width: 250px;
        max-width: 1000px;
    }
    .img-1 img {
        width: 100%;
        min-width: 250px;
        max-width: 1000px;
    }

    /*.carousel-item img,
    .carousel-item video{
    height:70vh;
    object-fit:cover;
    }*/

/* MEDIA QUERY */
@media only screen and (min-width: 600px) {

    .grid {
        grid-template-columns: 60px auto 60px;
    }

    /* HEADER */
    .header {
        height: 100px;
        grid-template-columns: auto auto;
        grid-template-rows: auto;
        grid-template-areas: 
        "logo navi";
    }
    .header .brand-logo {
        width: 60px;
        margin: 20px 40px;
        float: left;
    }

    /* NAVIGATION */
    .header nav {
        justify-self: end;
        padding: 60px 0;
        margin-right: 40px;
    }
    .header nav a {
        font-size: 15px;
        padding: 0px 16px;
    }

    /* FOOTER */
    .bar {
        grid-template-columns: auto auto;
        grid-template-rows: auto auto;
        grid-template-areas: 
        "menus kontak"
        ". alamat";
        grid-gap: 100px;
        font-size: 16px;
    }
    .menus {
        line-height: 36px;
        justify-self: start;
    }
    .kontak {
        line-height: 36px;
        justify-self: center;
        padding-top: 45px;
    }
    .alamat {
        margin-top: -110px;
        line-height: 36px;
        justify-self: end;
    }
    .kontak img {
        width: 24px;
        margin-right: 10px;
    }
    .alamat img {
        width: 24px;
        margin-right: 10px;
    }

    /* CONTENT */
    .content {
        grid-gap: 100px;
    }
    .copy-1 {
        justify-self: center;
        text-align: center;
    }
    .slider-1 {
        justify-self: center;
        margin-top: -80px;
    }
    .img-1 {
        justify-self: center;
        margin-top: -80px;
    }
}
@media only screen and (min-width: 1200px){
    .bar {
        grid-template-columns: auto auto auto;
        grid-template-rows: auto;
        grid-template-areas: 
        "menus kontak alamat";
        grid-gap: 120px;
    }
    .alamat {
        margin-top: 0;
        padding-top: 45px;
    }
}